/Users/bernard/b20/bsoft/tcltk/bshow_model.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_model.tcl - Procedures to create and destroy model components and links in images.

SYNOPSIS

  Functions
setupModelMenu
Menu for opening and closing parameter files.
Model
Dialog box to manipulate componets and links on the main canvas.
toggleCompTypeSelection id sel
updateCompTypeTable
Updates the component type table from the model parameters in memory.
convertImageToModel x y z
Converts image coordinates to model coordinates.
componentSelect x y
Selects a component.
linkSelect x y
Selects a link.
createUpdateComponentType
Creates or updates a component type.
componentCreateSelect x y
Creates or selects a component.
linkCreate x y
Creates a link if a starting component is selected.
componentMove x y
Moves the selected component to the new coordinates.
componentMoveSelectedUpDown dz
Moves the selected component one slice up or down.
componentDraw id
Draws a component on the canvas.
drawSphere c x y z rad col width lbl fill tag
drawLine c x1 y1 z1 x2 y2 z2 width col tag
linkDraw id1 id2
Draws a link line connecting two components on the canvas.
objectsDrawAll args
Draws all components and links on the canvas.
componentsDrawAll
Draws all components on the canvas.
linksDrawAll
Draws all links on the canvas.
componentDelete x y
Deletes the selected component.
linkDelete x y
Deletes the selected link.
objectsDeleteAll
Deletes all components and links.
deleteNonSelectedObjects
Deletes all components and links that are not selected.
setComponentRadius
Sets radii of selected components.
setLinkRadius
Sets radii of selected links.
setSelection args
Sets the selection of components.
setColor
Sets the color for selected components.
setViews
Sets the views relative to the origin.
extractSegments
Extracts all panels tagged by the component list.
componentsToParticles
Generates particles from the component list.
readModel
Reads model from a file.
loadModel thefile
writeModel
Saves the component and link model to a file.
editModel
Edits a text parameter file.
Shell
Dialog box for creating a shell (ring for 2D)
componentSymmetry
Analyzes model components to determine cyclic symmetry.
doComponentSymmetry w

Detailed Description

Procedures to create and destroy model components and links in images.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20160601

Definition in file bshow_model.tcl.

Function Documentation

  componentCreateSelectx y

Creates or selects a component.

Parameters:
    x
    y Component position in canvas coordinates.

Definition at line 411 of file bshow_model.tcl.

  componentDeletex y

Deletes the selected component.

Parameters:
    x
    y Cooordinates on the canvas.

Definition at line 688 of file bshow_model.tcl.

  componentDrawid

Draws a component on the canvas.

Parameters:
    id Component identifier.

Definition at line 537 of file bshow_model.tcl.

  componentMovex y

Moves the selected component to the new coordinates.

Parameters:
    x
    y Component position in canvas coordinates.

Definition at line 488 of file bshow_model.tcl.

  componentMoveSelectedUpDowndz

Moves the selected component one slice up or down.

Parameters:
    dz Number of slices (+ up, - down)

Definition at line 516 of file bshow_model.tcl.

  componentsDrawAll

Draws all components on the canvas.

Definition at line 635 of file bshow_model.tcl.

  componentSelectx y

Selects a component.

Parameters:
    x
    y Position in canvas coordinates.

Definition at line 291 of file bshow_model.tcl.

  componentsToParticles

Generates particles from the component list.

Definition at line 830 of file bshow_model.tcl.

  componentSymmetry

Analyzes model components to determine cyclic symmetry.

Definition at line 983 of file bshow_model.tcl.

  convertImageToModelx y z

Converts image coordinates to model coordinates.

Parameters:
    x
    y
    z Position in image coordinates.

Definition at line 275 of file bshow_model.tcl.

  createUpdateComponentType

Creates or updates a component type.

Definition at line 360 of file bshow_model.tcl.

  deleteNonSelectedObjects

Deletes all components and links that are not selected.

Definition at line 737 of file bshow_model.tcl.

  doComponentSymmetryw

Definition at line 1011 of file bshow_model.tcl.

  drawLinec x1 y1 z1 x2 y2 z2 width col tag

Definition at line 576 of file bshow_model.tcl.

  drawSpherec x y z rad col width lbl fill tag

Definition at line 550 of file bshow_model.tcl.

  editModel

Edits a text parameter file.

Definition at line 938 of file bshow_model.tcl.

  extractSegments

Extracts all panels tagged by the component list.

Definition at line 815 of file bshow_model.tcl.

  linkCreatex y

Creates a link if a starting component is selected.

Parameters:
    x
    y Ending component position in canvas coordinates.

Definition at line 465 of file bshow_model.tcl.

  linkDeletex y

Deletes the selected link.

Parameters:
    x
    y Cooordinates on the canvas.

Definition at line 705 of file bshow_model.tcl.

  linkDrawid1 id2

Draws a link line connecting two components on the canvas.

Parameters:
    id1 Component 1 identifier.
    id2 Component 2 identifier.

Definition at line 606 of file bshow_model.tcl.

  linksDrawAll

Draws all links on the canvas.

Definition at line 664 of file bshow_model.tcl.

  linkSelectx y

Selects a link.

Parameters:
    x
    y Position in canvas coordinates.

Definition at line 333 of file bshow_model.tcl.

  loadModelthefile

Definition at line 880 of file bshow_model.tcl.

  Model

Dialog box to manipulate componets and links on the main canvas.

Definition at line 59 of file bshow_model.tcl.

  objectsDeleteAll

Deletes all components and links.

Definition at line 720 of file bshow_model.tcl.

  objectsDrawAllargs

Draws all components and links on the canvas.

Definition at line 626 of file bshow_model.tcl.

  readModel

Reads model from a file.

Definition at line 840 of file bshow_model.tcl.

  setColor

Sets the color for selected components.

Definition at line 790 of file bshow_model.tcl.

  setComponentRadius

Sets radii of selected components.

Definition at line 746 of file bshow_model.tcl.

  setLinkRadius

Sets radii of selected links.

Definition at line 762 of file bshow_model.tcl.

  setSelectionargs

Sets the selection of components.

Definition at line 773 of file bshow_model.tcl.

  setupModelMenu

Menu for opening and closing parameter files.

Definition at line 27 of file bshow_model.tcl.

  setViews

Sets the views relative to the origin.

Definition at line 807 of file bshow_model.tcl.

  Shell

Dialog box for creating a shell (ring for 2D)

Definition at line 948 of file bshow_model.tcl.

  toggleCompTypeSelectionid sel

Definition at line 232 of file bshow_model.tcl.

  updateCompTypeTable

Updates the component type table from the model parameters in memory.

Definition at line 246 of file bshow_model.tcl.

  writeModel

Saves the component and link model to a file.

Definition at line 900 of file bshow_model.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.